Subject: bug#23786: 25.0.95 and 24.5: NS variants both scroll too much

From: Peter Dyballa <[email-masked]>
Date: Thu, 25 Aug 2016 14:36:10 +0200

> Am 16.08.2016 um 21:55 schrieb Toon Claes <[email-masked]>:
> 
> Peter Dyballa <[email-masked]> writes:
> 
>> Hello!
> 
> Hi Pete,
> 
>> all scroll too much when I use the extra Bluetooth trackpad of an iMac
>> (27“, Late 2013) instead of the Mighty Mouse.
> 
> Is it a Magic Trackpad, or a Magic Trackpad 2 with Force Touch?
> I use the latter on a daily basis. But I have an old one laying around
> somewhere. I also have a Magic Mouse. But you are using a Mighty Mouse,
> aren't you?

I did not buy anything, it’s the gear my employer provides me with. System Report/System Information says about the mouse:

  Services:	Apple Magic Mouse
  Manufacturer:	Apple (0x3, 0x31C)
  Firmware Version:	0x0306
  Vendor ID:	0x05AC
  Product ID:	0x030D
  Class of Device:	0x05 0x20 0x2580

And about the trackpad it reports:

  Services:	Apple Wireless Trackpad
  Manufacturer:	Apple (0x3, 0x31C)
  Firmware Version:	0x0160
  Vendor ID:	0x05AC
  Product ID:	0x030E
  Class of Device:	0x05 0x25 0x2594

> 
>> Yes. The default setting for the mouse could be a bit improved, using
>> the suggestions of Jiajie Chen – I am usually not working with mice –
>> because it scrolls a bit too fast, but by far not that fast as the
>> trackpad.
> 
> I also did not know about those settings, thanks a bunch Jiajie Chen.
> These settings feel a lot more natural, so maybe we should consider
> changing the defaults (although I actually never scroll with mouse in
> Emacs).
> 
>> Is there a way to find out on the command line the preferences set for
>> mouse and trackpad? Maybe it would help determine the cause for my bug
>> report.

Meanwhile mouse and trackpad are working better. The commands below give for me:

    "com.apple.mouse.scaling" = "0.875";
    "com.apple.trackpad.scaling" = "1.5";

> 
> Mac OS X has the `defaults` tool to read/write settings from the command
> line. For example on my machine:
> 
> $ defaults read -g | grep mouse
> 
>    "com.apple.mouse.scaling" = "2.5";
> 
> $ defaults read -g | grep trackpad
>    "com.apple.trackpad.forceClick" = 1;
>    "com.apple.trackpad.scaling" = "1.5";

My customisation looks minimal:

(setq scroll-conservatively 1000)
 '(mouse-wheel-scroll-amount (quote (3 ((shift) . 1) ((control)))))

I think that I just changed 2 to 3…

For GNU Emacs 25 I have changed

(setq mouse-wheel-progressive-speed nil) to '(mouse-wheel-progressive-speed t). Behaviour of GNU Emacs 24 and 25 is now fine.

—

Greetings

  Pete